%global giturl  https://github.com/snwh/%{name}


Name:           paper-icon-theme
Version:        1.4.0
Release:        2%{?dist}
Summary:        Modern freedesktop icon theme

License:        CC-BY-SA
URL:            https://snwh.org/paper
Source0:        %{giturl}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# Generated using git format-patch.
Patch0001:      0001-v.1.4.0.patch
Patch0002:      0002-Added-symlinks-for-Ephy-3.23.x.patch
Patch0003:      0003-Add-symlinks-for-Ghetto-Skype.patch
Patch0004:      0004-Remove-useless-Ghetto-Skype-symlink.patch
Patch0005:      0005-add-symbolic-links-for-Tilix-f.k.a.-Terminix.patch
Patch0006:      0006-fix-README.md.patch
Patch0007:      0007-added-symlinks.patch
Patch0008:      0008-Use-datadir-instead-of-hardcoding-usr.patch
Patch0009:      0009-Fixes-486.patch
Patch0010:      0010-Added-symlinks-for-XFCE-apps-and-the-Removable-Drive.patch
Patch0011:      0011-Create-Emacs-25-symlinks.patch
Patch0012:      0012-minor-fix.patch
Patch0013:      0013-update-readme.patch
Patch0014:      0014-add-Tilix-FeedReader-symlinks.patch
Patch0015:      0015-Create-README.md.patch
Patch0016:      0016-add-XMind-symlink-519.patch
Patch0017:      0017-symlink.patch
Patch0018:      0018-added-some-folder-color-links.patch
Patch0019:      0019-Update-README.md.patch
Patch0020:      0020-Update-index.theme.patch
Patch0021:      0021-Add-VLC-flatpak-symlinks.patch
Patch0022:      0022-Add-LibreOffice-flatpak-symlinks.patch
Patch0023:      0023-Fix-LibreOffice-Math-flatpak-icon.patch
Patch0024:      0024-Add-symlink-for-dnfdragora-Fixes-637.patch

BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  git

Requires:       adwaita-icon-theme
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme

%description
Paper is a modern freedesktop icon theme whose design is based around
the use of bold colors and simple geometric shapes to compose icons.
Each icon has been meticulously designed for pixel-perfect viewing.

While it does take some inspiration from the icons in Google's
Material Design, some aspects have been adjusted to better suit a
desktop environment.


%prep
%autosetup -S git
%{_bindir}/find . -type f |                    \
  %{__grep} -v 'src/' | %{__grep} -v '.git/' | \
  %{_bindir}/xargs %{__chmod} -c 0644
%{_bindir}/autoreconf -fiv


%build
%configure --disable-silent-rules
%make_build


%install
%make_install
%fdupes -s %{buildroot}


%if 0%{?fedora} || 0%{?rhel} >= 8
%transfiletriggerin -- %{_datadir}/icons/Paper
for _dir in %{_datadir}/icons/Paper*/ ; do
  %{_bindir}/gtk-update-icon-cache --force ${_dir} &>/dev/null || :
done


%transfiletriggerpostun -- %{_datadir}/icons/Paper
for _dir in %{_datadir}/icons/Paper*/ ; do
  %{_bindir}/gtk-update-icon-cache --force ${_dir} &>/dev/null || :
done
%else
%post
for _dir in %{_datadir}/icons/Paper*/ ; do
  /bin/touch --no-create ${_dir} &>/dev/null || :
done


%postun
if [ $1 -eq 0 ] ; then
  for _dir in %{_datadir}/icons/Paper*/ ; do
    %{_bindir}/gtk-update-icon-cache ${_dir} &>/dev/null || :
  done
fi


%posttrans
for _dir in %{_datadir}/icons/Paper*/ ; do
  %{_bindir}/gtk-update-icon-cache ${_dir} &>/dev/null || :
done
%endif


%files
%license AUTHORS LICENSE
%doc COPYING README.md
%{_datadir}/icons/Paper*


%changelog
* Mon Jan 08 2018 Björn Esser <besser82@fedoraproject.org> - 1.4.0-2
- Use rpm filetriggers on Fedora and/or RHEL >= 8

* Sun Dec 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-1
- Initial import (#1529758)

* Sun Dec 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.3
- Add some git-format-patches from upstream

* Fri Dec 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.2
- Fix file permissions
- Fix spelling in %%description

* Fri Dec 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.1
- Initial rpm release (#1529758)
